//-------------------------------------------------------------------------*
//工 程 名: InCapture                                                      *
//硬件接线: (1)PTD.0接指示灯1                                              *
//          (2)PTD.1接指示灯2                                              *
//          (3)PTE.2,即定时器1通道0接开关                                  *
//程序描述: 输入捕捉中断方式,使开关拨动时取反指示灯2                       *
//目    的: 学习定时器模块输入捕捉功能                                     *
//说    明: 本例是将定时器1通道0设为"跳变沿捕捉"                           *
//----------------苏州大学飞思卡尔嵌入式系统实验室2010年-------------------*

//总头文件
#include "Includes.h"

//主函数
void main(void)
{
    //1 主程序使用的变量定义
    uint32 mRuncount=0;                         //运行计数器
    //2 关总中断                            
    DisableInterrupt();                         //禁止总中断
    //3 芯片初始化
    MCUInit();          
    //4 模块初始化
    Light_Init(Light_PORT,Light_Run,Light_OFF); //指示灯初始化
    Light_Init(Light_PORT,Light_Test,Light_OFF);//输入捕捉指示灯初始化
  	TPMChInit(TPM_NUM_1,TPM1_CH_0);             //定时器1通道0初始化
    //5 开放中断
    EnableTPM1ChInt(TPM1_CH_0);         //允许定时器1通道0的输入捕捉中断
    EnableInterrupt();                          //开放总中断
    //主循环
    while (1)
    {
        //1 主循环计数到一定的值，使小灯的亮、暗状态切换
        mRuncount++;
        if (mRuncount>=50000) 
        {
          mRuncount=0;
          Light_Change(Light_PORT,Light_Run);   //指示灯的亮、暗状态切换
        } 
    }
}
